<?php
/**
 * tools to mesure time
 * @package tools
 */

/**
 * get time in microsecond, and format in second
 * @return float
 */
function getmicrotime(){
	// get micro time and format in second
	list($sec, $usec) = explode(" ",microtime());
	return ((float)$usec + (float)$sec);
}

/**
 * calculate duration from 2 times
 *
 * @param int $t_start
 * @param int $t_end
 * @return int
 */
function exetime($t_start,$t_end) {
	// evaluate exe time in second
	$e_time = $t_end - $t_start;
	$e_time = sprintf("%01.4f",$e_time);
	return $e_time;
}

/**
 * combine both previous to deliver a formated result
 *
 * @param int $time_start
 * @param str $comment
 */
function display_exe_time ($time_start, $comment) {
	$time_end = getmicrotime();
	$duration = exetime($time_start,$time_end);
	print "$comment : $duration sec</i><br><br>";
}
?>