<?php
// ---------------------------------------------
//	simeray@tektonika.com
//	last modification: 13/12/07
// ---------------------------------------------
/**
 * Main param definition : host, db, user, pw. 
 * Useful to migrate step by step
 * @package migration
 */
session_start();

// *********************************************

// --------------------------------------------------
//		Paramètres des bases de données
// --------------------------------------------------
$conf = 'alt';

switch ($conf) {

	case 'ago':
		$config_source_database 	= 'agoragouv';
		$config_source_user 		= 'bencher';
		$config_source_pw 			= 'bencher';

		$config_target_database 	= 'spip192';
		$config_target_user 		= 'bencher';
		$config_target_pw 			= 'bencher';

		$field_definition_file = "field_definition_14x.php";
		break;


	case 'alt':
		$config_source_database 	= '';
		$config_source_user 		= '';
		$config_source_pw 			= '';

		$config_target_database 	= '';
		$config_target_user 		= '';
		$config_target_pw 			= '';

		$field_definition_file = "field_definition_14x.php";
		break;
}



// --------------------------------------------------
//		ENCODAGE
//		utf-8 par défaut
// --------------------------------------------------
// $config_encodage = "iso";		// ISO-8859-1 dit aussi ISO Latin1
// $config_encodage = "idem";		// laisse l'encodage des données inchangé

// --------------------------------------------------
//		Duree du traitement
//		1 800sec (30') par défaut
// --------------------------------------------------
$config_time_limit 	= "3600";
$transfer_rate 		= 500;				// fiches par seconde, régler selon sa config



// --------------------------------------------------
//			INCLUDES TOOLS
// --------------------------------------------------
include "inc/sql_tools.php";
include "inc/migration_tools.php";
include "inc/$field_definition_file";
include "inc/ProgressBar.class.php";
include "inc/time_lib.php";

?>